Get a project
curl --request GET \
--url https://mathify.dev/api/v1/projects/{projectId} \
--header 'x-api-key: <api-key>'import requests
url = "https://mathify.dev/api/v1/projects/{projectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mathify.dev/api/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project": {
"id": "<string>",
"name": "<string>",
"userId": "<string>",
"featured": true,
"remixedFragmentId": "<string>",
"remixDescendantCount": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"fragmentCount": 0,
"fragments": [
{
"id": "<string>",
"messageId": "<string>",
"projectId": "<string>",
"title": "<string>",
"description": "<string>",
"sandboxUrl": "<string>",
"animationUrl": "<string>",
"thumbnailUrl": "<string>",
"vtpUrl": "<string>",
"vtkManifestUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"messageCreatedAt": "2023-11-07T05:31:56Z",
"public": true,
"files": {}
}
]
}
}{
"error": "Project not found"
}{
"error": "Project not found"
}{
"error": "Project not found"
}{
"error": "Project not found"
}Projects
Get a project
GET
/
projects
/
{projectId}
Get a project
Authorizations
apiKeyHeaderbearerAuth
Your Mathify API key (mk_live_<64 hex chars>), generated at /settings/api-keys.
Path Parameters
Query Parameters
Embed the project's fragments in the response.
Available options:
0, 1, true, false Response
Project
Show child attributes
Show child attributes
⌘I

